#if !defined(AFX_DLGPICTARROWSELECT_H__5E14B261_A3E3_4A7A_A3A2_1F1E1B2C0DEF__INCLUDED_)
#define AFX_DLGPICTARROWSELECT_H__5E14B261_A3E3_4A7A_A3A2_1F1E1B2C0DEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgPictArrowSelect.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "DlgPictArrowSelectSub.h"	// For FD_PICT_ARROW_HEADER_INN.
#include "DialogBase.h"		// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDialogBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPictArrowSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgPictArrowSelect : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCDlgPictArrowSelect(CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgPictArrowSelect)
	enum { IDD = IDD_COM_PICT_ARROW_SELECT };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_: ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA

FD_PICT_ARROW_HEADER_INN

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgPictArrowSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgPictArrowSelect)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnOK();
	afx_msg void OnFasBtnPictArrowAdd();
	afx_msg void OnFasBtnPictArrowDelete();
	afx_msg void OnFasBtnPictArrowModify();
	afx_msg void OnFasBtnPictArrowModify2();
	afx_msg void OnFasBtnImportOn();
	afx_msg void OnFasBtnFileImport();
	afx_msg void OnFasBtnCopyImport();
	//}}AFX_MSG
	afx_msg LRESULT OnUserMtrxSelchanged(WPARAM wParam = 0, LPARAM lParam = 0);
	afx_msg LRESULT OnUserMultictrlChanged(WPARAM wParam = 0, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
}; // class CFCDlgPictArrowSelect.

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGPICTARROWSELECT_H__5E14B261_A3E3_4A7A_A3A2_1F1E1B2C0DEF__INCLUDED_)
